import React, { ReactElement } from "react";
export interface MultiselectCascadeFilterProps {
    n_items: number;
    data: string[][];
    singleSelect?: boolean[];
    showInactiveItems?: boolean;
    preserveInactiveSelections?: boolean;
    padding?: string;
    margin?: string;
    containerClass?: string;
    multiselectClass?: string;
    labels?: string[];
    hasSelectAll?: boolean[];
    showLabel?: boolean;
    shouldToggleOnHover?: boolean[];
    overrideStrings?: {
        [key: string]: string;
    };
    disabled?: boolean[];
    disableSearch?: boolean[];
    ClearIcon?: boolean[];
    debounceDuration?: number;
    closeOnChangedValue?: boolean[];
    renderLabel?: (x: string) => ReactElement;
    onChange?: (e: DataArrayType) => void;
}
export interface Option {
    value: string;
    label: string;
    key?: string;
    disabled?: boolean;
}
export interface IDefaultItemRendererProps {
    checked: boolean;
    option: Option;
    disabled?: boolean;
    onClick: () => void;
}
export interface DataArrayType {
    [key: number | string]: Option[];
}
export interface clearFiltersType {
    clearFilters(): void;
}
declare const MultiselectCascadeFilter: React.ForwardRefExoticComponent<MultiselectCascadeFilterProps & React.RefAttributes<clearFiltersType>>;
export default MultiselectCascadeFilter;
